(*----------------------------------------------------------------------*)
(*              Send_Kermit_File --- Upload file using Kermit           *)
(*----------------------------------------------------------------------*)

OVERLAY PROCEDURE Send_Kermit_File;

(*----------------------------------------------------------------------*)
(*                                                                      *)
(*     Procedure:  Send_Kermit_File                                     *)
(*                                                                      *)
(*     Purpose:    Uploads file to remote using Kermit protocol         *)
(*                                                                      *)
(*     Calling Sequence:                                                *)
(*                                                                      *)
(*        Send_Kermit_File;                                             *)
(*                                                                      *)
(*----------------------------------------------------------------------*)

CONST
   EOF_Packet   = 'Z';
   Break_Packet = 'B';

VAR
   Buffer_Pos    : INTEGER;
   Buffer_Size   : INTEGER;
   Write_Count   : INTEGER;
   Err           : INTEGER;
   Menu_Title    : AnyStr;
   Local_Save    : Saved_Screen_Ptr;
   Local_Save_2  : Saved_Screen_Ptr;
   File_Pattern  : AnyStr;
   Stop_Send     : BOOLEAN;
   File_Entry    : Directory_Record;
   OK_File       : BOOLEAN;
   Try           : INTEGER;
   Send_Done     : BOOLEAN;
   Kermit_Menu   : Menu_Type;
   I             : INTEGER;
   J             : INTEGER;
   Kermit_Done   : BOOLEAN;
   Host_Count    : INTEGER;
   Menu_Choice   : INTEGER;
   Long_Buffer   : BOOLEAN;
   Buffer_Length : INTEGER;
   Read_Buffer   : File_Handle_Buffer_Ptr;