(*--------------------------------------------------------------------------*)
(*               Trim --- Trim trailing blanks from a string                *)
(*--------------------------------------------------------------------------*)

FUNCTION Trim( S : AnyStr ) : AnyStr;

(*--------------------------------------------------------------------------*)
(*                                                                          *)
(*     Function:   Trim                                                     *)
(*                                                                          *)
(*     Purpose:    Trims trailing blanks from a string                      *)
(*                                                                          *)
(*     Calling sequence:                                                    *)
(*                                                                          *)
(*         Trimmed_S := TRIM( S );                                          *)
(*                                                                          *)
(*            S          --- the string to be trimmed                       *)
(*            Trimmed_S  --- the trimmed version of S                       *)
(*                                                                          *)
(*     Calls:  None                                                         *)
(*                                                                          *)
(*     Remarks:                                                             *)
(*                                                                          *)
(*        Note that the original string itself is left untrimmed.           *)
(*                                                                          *)
(*--------------------------------------------------------------------------*)

VAR
   I:       INTEGER;
   Trimmed: BOOLEAN;

BEGIN (* Trim *)

   Trim := '';

   IF LENGTH( S ) > 0 THEN
      BEGIN

         I       := LENGTH( S ) + 1;
         Trimmed := FALSE;

         REPEAT

            I := I - 1;
            IF ( I > 0 ) THEN
               Trimmed := S[I] <> ' '
            ELSE
               Trimmed := TRUE;

         UNTIL Trimmed;

         IF ( I > 0 ) THEN Trim := COPY( S, 1, I );

      END;

END   (* Trim *);
