(*--------------------------------------------------------------------------*)
(*               UpperCase --- Convert string to upper case                 *)
(*--------------------------------------------------------------------------*)

FUNCTION UpperCase( S: AnyStr ): AnyStr;

(*--------------------------------------------------------------------------*)
(*                                                                          *)
(*    Function: UpperCase                                                   *)
(*                                                                          *)
(*    Purpose:  Convert string to upper case                                *)
(*                                                                          *)
(*    Calling Sequence:                                                     *)
(*                                                                          *)
(*       Upper_String := UpperCase( S : AnyStr ): AnyStr;                   *)
(*                                                                          *)
(*          S            --- String to be converted to upper case           *)
(*          Upper_String --- Resultant uppercase string                     *)
(*                                                                          *)
(*    Calls:  UpCase                                                        *)
(*                                                                          *)
(*--------------------------------------------------------------------------*)

VAR
   I    : INTEGER;      (* Counter                 *)
   T    : AnyStr;       (* Holds temporary result  *)

BEGIN (* UpperCase *)

   T := '';

   FOR I := 1 TO LENGTH( S ) DO
      T := T + UpCase( S[I] );

   UpperCase := T;

END   (* UpperCase *);
